> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Toggle User Favorites

> Toggle user favorites



## OpenAPI

````yaml post /users/toggle-favorites
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /users/toggle-favorites:
    post:
      tags:
        - users
      summary: Toggle User Favorites
      description: Toggle user favorites
      operationId: toggle_user_favorites_users_toggle_favorites_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserToggleFavoritesRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserToggleFavoritesResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UserToggleFavoritesRequest:
      properties:
        object_id:
          type: string
          title: Object Id
          description: ID of the object to add to favorites
        object_type:
          type: string
          title: Object Type
          description: 'Type of the object to add to favorites: round, store, person'
      type: object
      required:
        - object_id
        - object_type
      title: UserToggleFavoritesRequest
    UserToggleFavoritesResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
        toggle_type:
          type: string
          title: Toggle Type
      type: object
      required:
        - success
        - message
        - toggle_type
      title: UserToggleFavoritesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````